Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.painter.effects
Class NeonBorderEffect

    java.lang.Object
      org.jdesktop.swingx.painter.effects.AbstractAreaEffect
          org.jdesktop.swingx.painter.effects.NeonBorderEffect

All Implemented Interfaces:
  AreaEffect

    public class NeonBorderEffect

extends AbstractAreaEffect

An effect which draws a multicolored border around a painter's shape. It will interpolate between two specified colors, creating a neon like effect.

Author:
  joshy

Nested Class Summary
`static class` | `NeonBorderEffect.BorderPosition` An enum representing the position of the border: inside, outside, or centered on the border.

Constructor Summary
`NeonBorderEffect()` Create a new NeonBorderEffect
`NeonBorderEffect(java.awt.Color edgeColor, java.awt.Color centerColor, int effectWidth)` Creates a new instance of NeonBorderEffect

Method Summary
`NeonBorderEffect.BorderPosition` | `getBorderPosition()`
`java.awt.Color` | `getCenterColor()`
`java.awt.Color` | `getEdgeColor()` Gets the current edge color.
`protected java.awt.Color` | `interpolateColor(float t, java.awt.Color start, java.awt.Color end)`
`protected void` | `paintBorderGlow(java.awt.Graphics2D gfx, java.awt.Shape clipShape, int width, int height)` Paints the border glow
`void` | `setBorderPosition(NeonBorderEffect.BorderPosition borderPosition)`
`void` | `setCenterColor(java.awt.Color centerColor)`
`void` | `setEdgeColor(java.awt.Color edgeColor)` Set the edge color

Methods inherited from class org.jdesktop.swingx.painter.effects.AbstractAreaEffect
`addPropertyChangeListener, apply, getBrushColor, getBrushSteps, getEffectWidth, getOffset, isRenderInsideShape, isShapeMasked, isShouldFillShape, removePropertyChangeListener, setBrushColor, setBrushSteps, setEffectWidth, setOffset, setRenderInsideShape, setShapeMasked, setShouldFillShape`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NeonBorderEffect

    public NeonBorderEffect()

  Create a new NeonBorderEffect

### NeonBorderEffect

    public NeonBorderEffect(java.awt.Color edgeColor,
                            java.awt.Color centerColor,
                            int effectWidth)

  Creates a new instance of NeonBorderEffect

Method Detail

### paintBorderGlow

    protected void paintBorderGlow(java.awt.Graphics2D gfx,
                                   java.awt.Shape clipShape,
                                   int width,
                                   int height)

  Description copied from class: `AbstractAreaEffect`
  Paints the border glow

  Overrides:
    `paintBorderGlow` in class `AbstractAreaEffect`

### interpolateColor

    protected java.awt.Color interpolateColor(float t,
                                              java.awt.Color start,
                                              java.awt.Color end)

### getEdgeColor

    public java.awt.Color getEdgeColor()

  Gets the current edge color.

  Returns:
    current edge color

### setEdgeColor

    public void setEdgeColor(java.awt.Color edgeColor)

  Set the edge color

  Parameters:
    `edgeColor` -

### getCenterColor

    public java.awt.Color getCenterColor()

  Returns:
    color in the center of the effect

### setCenterColor

    public void setCenterColor(java.awt.Color centerColor)

  Parameters:
    `centerColor` - color in the center of the effect.
  See Also:
    `getCenterColor()`

### getBorderPosition

    public NeonBorderEffect.BorderPosition getBorderPosition()

  Returns:
    position of the border relative to the edge of painter covered area.
  See Also:
    `NeonBorderEffect.BorderPosition`

### setBorderPosition

    public void setBorderPosition(NeonBorderEffect.BorderPosition borderPosition)

  Parameters:
    `borderPosition` - position of the border relative to the edge of painter covered area.
  See Also:
    `getBorderPosition()`, `NeonBorderEffect.BorderPosition`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.